cURL
curl -X POST \
/checkout-links \
--header "Content-Type: application/json" \
--header "Authorization: Bearer <token>" \
--data '{
"afterCheckout": {
"url": "https:\/\/example.com\/checkout\/confirmation",
"confirmationMessage": "Thank you for your order!",
"action": "redirect",
"backToProviderUrl": "https:\/\/example.com\/checkout\/confirmation"
},
"options": {
"trialDays": "14",
"allowCoupons": "",
"quantityEditable": "",
"forceCompany": ""
},
"isEnabled": "1",
"items": [
[]
]
}'import requests
url = "https://coreapi.io/checkout-links"
payload = {
"afterCheckout": {
"url": "https://example.com/checkout/confirmation",
"confirmationMessage": "Thank you for your order!",
"action": "redirect",
"backToProviderUrl": "https://example.com/checkout/confirmation"
},
"options": { "trialDays": 14 },
"isEnabled": True,
"items": [
{
"type": "product",
"product": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
"quantity": 1,
"plan": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
"price": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
"periods": [
{
"contractPeriod": "1M",
"cancellationPeriod": "1M"
}
]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
afterCheckout: {
url: 'https://example.com/checkout/confirmation',
confirmationMessage: 'Thank you for your order!',
action: 'redirect',
backToProviderUrl: 'https://example.com/checkout/confirmation'
},
options: {trialDays: 14},
isEnabled: true,
items: [
{
type: 'product',
product: 'ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b',
quantity: 1,
plan: 'ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b',
price: 'ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b',
periods: [{contractPeriod: '1M', cancellationPeriod: '1M'}]
}
]
})
};
fetch('https://coreapi.io/checkout-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/checkout-links",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'afterCheckout' => [
'url' => 'https://example.com/checkout/confirmation',
'confirmationMessage' => 'Thank you for your order!',
'action' => 'redirect',
'backToProviderUrl' => 'https://example.com/checkout/confirmation'
],
'options' => [
'trialDays' => 14
],
'isEnabled' => true,
'items' => [
[
'type' => 'product',
'product' => 'ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b',
'quantity' => 1,
'plan' => 'ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b',
'price' => 'ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b',
'periods' => [
[
'contractPeriod' => '1M',
'cancellationPeriod' => '1M'
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
"afterCheckout": {
"url": "https://example.com/checkout/confirmation",
"confirmationMessage": "Thank you for your order!",
"action": "redirect",
"backToProviderUrl": "https://example.com/checkout/confirmation"
},
"options": {
"trialDays": 14,
"allowCoupons": true,
"quantityEditable": true,
"forceCompany": true
},
"slug": "my-checkout-slug",
"isEnabled": true,
"items": [
{
"type": "product",
"product": {
"type": "product",
"id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
"name": "Basic",
"description": "For small teams.",
"invoiceVisibility": "always",
"customFields": {
"field1": "value1",
"field2": "value2"
}
},
"quantity": 1,
"plan": {
"id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
"family": {
"id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b"
},
"code": "basic-m2023",
"originProduct": {
"type": "product",
"id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
"name": "Basic",
"description": "For small teams.",
"invoiceVisibility": "always",
"customFields": {
"field1": "value1",
"field2": "value2"
}
},
"allowCheckout": true,
"status": "draft",
"createdAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"description": "<string>"
},
"price": {
"type": "flat_fee",
"currencyCode": "EUR",
"price": {
"amount": 123,
"createdAt": "2021-01-01T00:00:00+00:00",
"updatedAt": "2021-01-01T00:00:00+00:00",
"tenantId": "<string>"
},
"id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
"internalName": "Exclusive pricing for partners.",
"status": "active",
"salesChannel": {
"id": "<string>",
"name": "<string>",
"brandName": "<string>"
},
"applyTrial": true,
"payInAdvance": true,
"proRata": true,
"freeUnits": 1,
"billingInterval": "1M",
"showPricePerInterval": "1M",
"custom": true,
"charge": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
"productSetOption": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
"product": "<unknown>",
"customer": "<unknown>",
"inUse": true,
"checkoutLinkIds": [
"ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b"
]
},
"periods": [
{
"contractPeriod": {},
"cancellationPeriod": {}
}
]
}
],
"url": "https://example.com/checkout/my-checkout-slug"
}Checkout Link
Create a checkout link
Create a link to allow your customers to checkout the given line items.
Required permissions:checkout-link:writePOST
/
checkout-links
cURL
curl -X POST \
/checkout-links \
--header "Content-Type: application/json" \
--header "Authorization: Bearer <token>" \
--data '{
"afterCheckout": {
"url": "https:\/\/example.com\/checkout\/confirmation",
"confirmationMessage": "Thank you for your order!",
"action": "redirect",
"backToProviderUrl": "https:\/\/example.com\/checkout\/confirmation"
},
"options": {
"trialDays": "14",
"allowCoupons": "",
"quantityEditable": "",
"forceCompany": ""
},
"isEnabled": "1",
"items": [
[]
]
}'import requests
url = "https://coreapi.io/checkout-links"
payload = {
"afterCheckout": {
"url": "https://example.com/checkout/confirmation",
"confirmationMessage": "Thank you for your order!",
"action": "redirect",
"backToProviderUrl": "https://example.com/checkout/confirmation"
},
"options": { "trialDays": 14 },
"isEnabled": True,
"items": [
{
"type": "product",
"product": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
"quantity": 1,
"plan": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
"price": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
"periods": [
{
"contractPeriod": "1M",
"cancellationPeriod": "1M"
}
]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
afterCheckout: {
url: 'https://example.com/checkout/confirmation',
confirmationMessage: 'Thank you for your order!',
action: 'redirect',
backToProviderUrl: 'https://example.com/checkout/confirmation'
},
options: {trialDays: 14},
isEnabled: true,
items: [
{
type: 'product',
product: 'ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b',
quantity: 1,
plan: 'ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b',
price: 'ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b',
periods: [{contractPeriod: '1M', cancellationPeriod: '1M'}]
}
]
})
};
fetch('https://coreapi.io/checkout-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/checkout-links",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'afterCheckout' => [
'url' => 'https://example.com/checkout/confirmation',
'confirmationMessage' => 'Thank you for your order!',
'action' => 'redirect',
'backToProviderUrl' => 'https://example.com/checkout/confirmation'
],
'options' => [
'trialDays' => 14
],
'isEnabled' => true,
'items' => [
[
'type' => 'product',
'product' => 'ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b',
'quantity' => 1,
'plan' => 'ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b',
'price' => 'ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b',
'periods' => [
[
'contractPeriod' => '1M',
'cancellationPeriod' => '1M'
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
"afterCheckout": {
"url": "https://example.com/checkout/confirmation",
"confirmationMessage": "Thank you for your order!",
"action": "redirect",
"backToProviderUrl": "https://example.com/checkout/confirmation"
},
"options": {
"trialDays": 14,
"allowCoupons": true,
"quantityEditable": true,
"forceCompany": true
},
"slug": "my-checkout-slug",
"isEnabled": true,
"items": [
{
"type": "product",
"product": {
"type": "product",
"id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
"name": "Basic",
"description": "For small teams.",
"invoiceVisibility": "always",
"customFields": {
"field1": "value1",
"field2": "value2"
}
},
"quantity": 1,
"plan": {
"id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
"family": {
"id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b"
},
"code": "basic-m2023",
"originProduct": {
"type": "product",
"id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
"name": "Basic",
"description": "For small teams.",
"invoiceVisibility": "always",
"customFields": {
"field1": "value1",
"field2": "value2"
}
},
"allowCheckout": true,
"status": "draft",
"createdAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"description": "<string>"
},
"price": {
"type": "flat_fee",
"currencyCode": "EUR",
"price": {
"amount": 123,
"createdAt": "2021-01-01T00:00:00+00:00",
"updatedAt": "2021-01-01T00:00:00+00:00",
"tenantId": "<string>"
},
"id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
"internalName": "Exclusive pricing for partners.",
"status": "active",
"salesChannel": {
"id": "<string>",
"name": "<string>",
"brandName": "<string>"
},
"applyTrial": true,
"payInAdvance": true,
"proRata": true,
"freeUnits": 1,
"billingInterval": "1M",
"showPricePerInterval": "1M",
"custom": true,
"charge": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
"productSetOption": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
"product": "<unknown>",
"customer": "<unknown>",
"inUse": true,
"checkoutLinkIds": [
"ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b"
]
},
"periods": [
{
"contractPeriod": {},
"cancellationPeriod": {}
}
]
}
],
"url": "https://example.com/checkout/my-checkout-slug"
}Autorisierungen
Body
application/jsontext/html
The new CheckoutLink resource
Antwort
CheckoutLink resource created
War diese Seite hilfreich?